=== debian/changelog ===
ap51-flash (2019.0.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/copyright
    - Update copyright years to 2020
  * debian/control:
    - Upgraded to policy 4.5.0, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 03 Feb 2020 08:37:32 +0100

ap51-flash (2019.0.1-1) experimental; urgency=low

  * Initial release (Closes: #938978).

 -- Sven Eckelmann <sven@narfation.org>  Fri, 04 Oct 2019 10:58:28 +0200
