=== debian/control ===
Source: ap51-flash
Section: net
Priority: optional
Maintainer: Sven Eckelmann <sven@narfation.org>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ap51-flash/ap51-flash
Vcs-Git: https://salsa.debian.org/communitywlan-team/ap51-flash.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/communitywlan-team/ap51-flash
Build-Depends:
 debhelper-compat (= 12),

Package: ap51-flash
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: firmware flasher for ethernet connected routers and access points
 ap51-flash is a tool to simplify the automatic firmware deployment for a
 multitude of home routers and wireless access points.
 .
 ap51-flash can identify target device(s), select the correct firmware image
 and perform the required communication to carry out the installation
 procedure. It works without the need for a local TFTP server or manual, target
 device specific network configuration.
