=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/ap51-flash/ap51-flash/releases .*/ap51-flash@ANY_VERSION@@ARCHIVE_EXT@
