## ap51-flash 2022.0

=== debian/changelog ===
ap51-flash (2022.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.6.0, no changes required
    - Switch to correct DEP-14 unstable branch name
  * debian/patches:
    - update list of supported devices

 -- Sven Eckelmann <sven@narfation.org>  Wed, 16 Mar 2022 13:52:26 +0100

ap51-flash (2019.0.1-3) unstable; urgency=medium

  * Drop duplicated fields from upstream/metadata
  * debian/control:
    - Switch to debhelper compat 13
    - Switch maintainer to Debian CommunityWLAN Team

 -- Sven Eckelmann <sven@narfation.org>  Sun, 12 Jul 2020 11:59:59 +0200
