=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: ap51-flash
 Section: net
 Priority: optional
-Maintainer: Sven Eckelmann <sven@narfation.org>
-Standards-Version: 4.5.0
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
+Uploaders:
+ Sven Eckelmann <sven@narfation.org>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ap51-flash/ap51-flash
-Vcs-Git: https://salsa.debian.org/communitywlan-team/ap51-flash.git -b debian/sid
+Vcs-Git: https://salsa.debian.org/communitywlan-team/ap51-flash.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/ap51-flash
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 
 Package: ap51-flash
 Architecture: linux-any
