## ap51-flash 2022.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-3.0-or-later
-# SPDX-FileCopyrightText: 2009-2019, Marek Lindner <mareklindner@neomailbox.ch>
+# SPDX-FileCopyrightText: Marek Lindner <mareklindner@neomailbox.ch>
 
 # enable debug output
 # CPPFLAGS += -DDEBUG
