=== debian/changelog ===
ap51-flash (2022.1-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required
  * debian/copyright:
    - Update copyright years to 2022

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 09:10:56 +0100
