=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SPDX-License-Identifier: GPL-3.0-or-later
-# SPDX-FileCopyrightText: 2017-2019, Sven Eckelmann <sven@narfation.org>
+# SPDX-FileCopyrightText: Sven Eckelmann <sven@narfation.org>
 
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
