=== debian/changelog ===
ap51-flash (2025.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
  * debian/watch:
    - Switch to api.github.com to check for releases
  * debian/upstream/signing-key.asc:
    - Refresh subkeys key for 522D7163831C73A635D12FE5EC371482956781AF
  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 21:42:19 +0100
