=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ap51-flash/ap51-flash
 Vcs-Git: https://salsa.debian.org/communitywlan-team/ap51-flash.git -b debian/unstable
