=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_CFLAGS_MAINT_APPEND = -flto
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
 
 MAKEOPTIONS = V="1" REVISION="debian-$(DEB_VERSION)" STRIP=true
