=== debian/watch ===
version=4

opts="searchmode=plain,pgpsigurlmangle=s%$%.asc%" \
    https://api.github.com/repos/@PACKAGE@/@PACKAGE@/releases?per_page=100 \
    https://github.com/@PACKAGE@/@PACKAGE@/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
